Bug 501114 - Palimpsest Spins Up Unmounted Devices
Palimpsest Spins Up Unmounted Devices
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: DeviceKit-disks (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-16 11:11 EDT by Ronald Schellberg
Modified: 2013-03-05 22:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:34:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ronald Schellberg 2009-05-16 11:11:56 EDT
Description of problem:

I have three internal SATA drives (sd[bcd]) that are configured into a 3 disk raid using mdadm that I only use for backups; they are otherwise unmounted and stopped.  I have them set to spin down when idle.

Similar to 491552 and 494711 in some respects. I can hear these devices spin down and they will remain down until Palimpsest appears to probe these disks for there SMART data every 30 minutes.  They will spin up, the palimpsest SMART data will be updated and the disks will spin down after the idle timeout (currently 60s). It repeats every 30 mins.


Version-Release number of selected component (if applicable):
Fedora (2.6.29.3-140.fc11.i686.PAE)
DeviceKit-003-1.i586

How reproducible:

Since the switch (from 10) to Rawhide

Steps to Reproduce:
1.  Configure drives for Raid 5 service, BTW, 500Gb whole disks w/o partitions (not sure Raid configuration is necessary), Umount and stop drives.
2.  Issue a hdparm -S 12 /dev/sd[bcd] and wait for drives to spin down
3.  Drives spin down for approximately 29 minutes.
4.  Open Palimpsest utility and monitor Updated field count up to 30 Minutes.
5.  Drives spin up and Palimpsest Updated field resets to under one minute.
6.  Rinse and repeat (I see a power increase on my UPS every 30 minutes).
  
Actual results:

Devices come out of standby every 30 minutes.

Expected results:

Devices remain in standby. Palimpsest not spin up unmounted/stopped devices and delay reporting SMART data until the devices become active again.

Additional info:
Comment 1 Bug Zapper 2009-06-09 11:55:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-04-27 10:21:27 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 08:34:03 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.